Subject: Re: Import list still causing problems
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Thu, 12 Jul 2007 08:25:42 -0400

Mike,
I was hoping that this was the case in that the "pre-fix" orders were only having these problems.  I couldn't find any other orders that used the imported IDs to see if this was still occurring.  The rest of the scenarios I figured was the case.  I was waiting to hear from you to rule out system problems before I spoke to Tele.  I'll take it from here.
Thanks,
Mike -LLPS
  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Wednesday, July 11, 2007 11:14 PM
  Subject: Re: Import list still causing problems

  Mike wrote: 
    Mike,
    We are still having problems with the imported files.  The invoices are still out of sink and the labels are being affected as well.  The following orders are a sampling of where the problem is occurring: 348307 (now fixed), 348288, 348306, 348305, 348304, 348296.  Maybe you can look at these a little more closely to determine what is happening.
  The problem has been fixed.  All of these orders were made before the change took place.  All orders there were created after I made the change (about 11:00 PM on Tuesday) will show the correct shipping address.

    Secondly, there were quite a few Telemarketing orders that had UPS as the shipping method.  Is this something that was caused by the system or the user?  (Examples: 348293, 348295, 348299, 348303, 348440, 348481)
  I remember discussing this before.  There is a scenario where UPS becomes the default shipping method, but I looked at a couple of the sample orders and they do not fit into this category.  It is possible there is a situation where the UPS is automatically selected when it should not be, but if it exists I have not been able to produce that behavior.  My guess is that the sales person is picking it.

    Lastly, there were a couple sets of duplicates (from Tele).  One set is 348106 & 348115 done by the same user but 5 minutes apart.  The second set is 348140 & 348142 again done by the same user and 5 minutes apart.  What do you think happened during these 2 incidents? 
  This could be caused by a couple of things.  The most likely scenario is that the sales person is hitting the back button to get back to step 6 and then submitting the order again.  This could be happening because the server is taking a while to respond and they get impatient and try send the order again.  Since it is showing up from the same sure in both situations I would guess it is not a bug, but something specific they are doing.

  After looking at the code, the system is blocking the order for the proper amount of time.  It is currently set to five minutes.  I set the telemarketing order wizard to block them for ten minutes.  I suggest you call them and find out what that particular users is doing.  They are obviously waiting for the timeout to complete the duplicate order.

  Michael Grove